Subject: Re: bug#63555: emacs 29 complains that it can't connect to the display
From: Eli Zaretskii <[email-masked]>
To: Po Lu <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 20 May 2023 15:58:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 20 May 2023 16:28:30 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What function(s) is/are used at that point which tells us a GUI
> > session is impossible?
> 
> window-system-initialization.
> 
> > Can we invoke those same functions earlier during startup to realize
> > this fact where we still can start as -nw?
> 
> Unfortunately not.  At least, not enough to make a change suitable for
> the release branch.

Too bad.  I added some verbiage to this effect in NEWS, and I'm
closing this bug.

(With all these disadvantages, I wonder why the PGTK build was
considered such a useful addition to Emacs...)

Btw, the Emacs user manual says WAYLAND_DISPLAY is the variable used
by PGTK, which you seem to say is inaccurate?